Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006618OCamllexing and parsingpublic2014-10-19 20:242017-03-01 15:14
Reporterjohnwhitington 
Assigned To 
PrioritylowSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.02.1 
Target VersionFixed in Version4.03.0 
Summary0006618: It would be nice to have octal escape sequences for characters and strings
DescriptionToday I had to type out some terminal escape codes, and happened to be using a source where they are listed in octal.

It would be nice to be able to write '\o033' or "Make it \o033[1mBOLD\o033[0m". (we already have octal for integers). Obviously we have to check it's in range.
Tagsjunior_job
Attached Files

- Relationships

-  Notes
(0012843)
doligez (administrator)
2014-12-18 00:03

Octal, yuck.

But we have it for integers, so for the sake of uniformity why not.

As for checking the range, ocamllex can do it: [0-3][0-7][0-7]
(0017510)
doligez (administrator)
2017-03-01 15:14

This was implemented by GPR#112 ( https://github.com/ocaml/ocaml/pull/112 [^] ).

- Issue History
Date Modified Username Field Change
2014-10-19 20:24 johnwhitington New Issue
2014-12-18 00:03 doligez Note Added: 0012843
2014-12-18 00:03 doligez Assigned To => doligez
2014-12-18 00:03 doligez Status new => confirmed
2014-12-18 00:03 doligez Tag Attached: junior_job
2014-12-18 00:10 doligez Assigned To doligez =>
2017-02-23 16:36 doligez Category OCaml general => -OCaml general
2017-03-01 15:14 doligez Note Added: 0017510
2017-03-01 15:14 doligez Status confirmed => closed
2017-03-01 15:14 doligez Resolution open => fixed
2017-03-01 15:14 doligez Category -OCaml general => lexing and parsing
2017-03-01 15:14 doligez Fixed in Version => 4.03.0


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker